Black X

Compiz Fusion on openSUSE 10.2

Posted in Blogger, openSUSE, تطبيقات by Black X on يونيو 23, 2007

اذا اردت تجربة Compiz Fusion على توزيعة اوبن سوزه 10.2 فيمكنك ذلك, و بدايةً عليك باضافة المخزن الخاص بها لسمارت عن طريق الامر التالي:
smart channel --add http://software.opensuse.org/download/home:/cyberorg/openSUSE_10.2/home:cyberorg.repo
ثم عمل ابديت للقناة السابقة:
smart update home:cyberorg
و اخيرا تنزيل الحزمة الخاصة بها و ذلك بكتابة الامر:
smart install compiz-git-all
و سيتم في حينها تنزيل المكتبات الخاصة بها و حذف compiz من النظام و تركيب الاصدارة الجديدة.
اﻵن نأتي لكيفية التشغيل, و يتم ذلك لمرة واحدة بكتابة الاوامر التالية:
compiz –replace ccp &
في حالة استخدامك واجهة جنوم
gtk-window-decorator –replace &
و في حالة كيدي
kde-window-decorator –replace &
اخيراً بالنسبة للولوج للوحة التحكم الخاصة بها فيتم ذلك بواسطة
ccsm &

اذكر هنا بأن النسخة ما زالت تحت التجربة و لم يتم نشرها رسمياً, و لست مسؤولاً عن اي ضرر قد يلحق بك من هذه التجربة.

النسخة مستقرة بشكل كبير, و اصبحت استخدمها بشكل افتراضي دون مشاكل 🙂

Advertisements

7 تعليقات

Subscribe to comments with RSS.

  1. عبدالعزيز said, on يوليو 10, 2007 at 4:06 ص

    تشكر اخي العزيز على هذا المجهود

    لكن توجد مشكلة بظهور هذه الرسلة عند عملية التنصيب بعد النزيل من خلال سمارت

    emerald-compiz-git-070516-2.11 conflicts with emerald

    اتمنى وضع طريقة لكيفية معالجة هذه المشكلة

    مع الشكر

  2. amjad said, on يوليو 10, 2007 at 5:00 م

    اشكرك اخي الكريم علي مجهودك وتفريغ جزء من وقتك لافادة الاخرين
    اخي بعدتنفيذ الخطوات كلها وعند تنفيذ الامر
    kde-window-decorator –replace &
    تظهر هذه الرسالة
    Hanooud:/home/Amjad # compiz: Trying ‘/usr/$LIB/libIndirectGL.so.1’
    ERROR: ld.so: object ‘/usr/$LIB/libIndirectGL.so.1’ from LD_PRELOAD cannot be preloaded: ignored.
    compiz (core) – Fatal: No composite extension
    ويبقى المؤشر علي سطر فارغ افدنا جزاك الله خير
    استخدم واجهة KDE
    وبارك الله فيك

  3. Black X said, on يوليو 10, 2007 at 7:59 م

    أخي عبد العزيز:
    للأسف واجهت نفس المشكلة و لم ابحث عن حل لها منذ ذلك الوقت, و استخدم بالوقت الحالي gnome-window-decorator.

    أخي أمجد:
    هل يظهر لديك اطار النافذة بعد هذا الامر؟ ابحث عنه لديك ضمن البرامج التي تعمل بالخلفية و قم بتعطيله, ثم اعد كتابة الامر من جديد.

    أذكر من جديد, بأن النسخة ما زالت قيد التجربة و التطوير و حتى اﻵن لم يتم اصدارها رسمياً, و بالامكان مراسلة مطور نسخة اوبن سوزه عبر مدونته http://dev.beryl-project.org/~cyberorg/

  4. Black X said, on يوليو 10, 2007 at 9:03 م

    عبد العزيز:
    قبل قليل قمت بتثبيت emerald دون مشاكل.
    فقد حدث سمارت لديك و قم بعملية التثبيت بواسطة الامر:
    smart install emerald-compiz-git

    طبعاً قبلها يتم حذف كل ما يتعلق بـ Beryl و Compiz

    ايضاً ستحتاج للثيمات و ذلك بواسطة الامر:
    smart install emerald-themes

    ستحتاج لتشغيلها اولا عن طريق سطر الاوامر, لكن عند اغلاق الترمنال ستجد ان الاطار اختفى, لذا قد تحتاج لتشغيلها عن طريق الـ Run.

    بالنسبة لتغيير الثيمات فيتم ذلك بواسطة الامر التالي:
    emerald-theme-manager

  5. عبدالعزيز said, on يوليو 11, 2007 at 5:49 ص

    يعطيك الف عافية اخي العزيز على الرد السريع جدا … نعم قمت بحذف جميع ال compiz

    بعدها قمت بعملية تحدبث ثم تنصيب جميع الحزم المطلوبة … وقمت بتشغيل اللوحة الرئيسية للبرنامج بنجاح

    لكن هناك بعض الاوامر تظهر اخطاء مثل الامر
    الذي كتبه امجد كذلك الامر الذي قبله نفس الخطأ

    قمت بوضع رد آخر في مدونة المطور ولم يصل رد الى الآن

    مع جزيل الشكر

  6. L!NuXaC said, on يوليو 12, 2007 at 11:52 م

    أخي الكريم واجهتني مشكلة هي عند الوصول للخطوه التاليه يحدث خطأ

    ياليت تطيني الحل واجزاكم الله كل خير …

    /home/PaTriOts # smart install compiz-git-all
    Loading cache…
    Updating cache… ######################################## [100%]

    Computing transaction… error: Can’t install compiz-git-070708-12.1@i586: no package provides libXdmcp.so.6

    (none):/home/PaTriOts #

  7. Black X said, on يوليو 13, 2007 at 11:09 م

    يبدو بأنك بحاجة الى هذه المكتبة, و هي متوفرة في مخزن الاكس اورج
    قم بعمل التالي:
    اضافة مخزن الاكس اورج الى سمارت بالامر:
    smart channel –add http://software.opensuse.org/download/xorg72/openSUSE_10.2/xorg72.repo

    ثم:
    smart update

    اخيراً:
    smart upgrade

    الآن قم بتثبيت حزمة كومبيز فيوجن مرة أخرى و أبلغني بالنتيجة.


التعليقات مغلقة.

%d مدونون معجبون بهذه: